<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
  "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.railway.business.baseinfo.mapper.BusBlqMapper">

  <resultMap id="BaseResultMap" type="com.railway.business.baseinfo.domain.BusBlq">
    <result column="id" property="id"/>
    <result column="dept_id" property="deptId"/>
    <result column="dept_name" property="deptName"/>
    <result column="line_id" property="lineId"/>
    <result column="line_name" property="lineName"/>
    <result column="station_id" property="stationId"/>
    <result column="station_name" property="stationName"/>
    <result column="dept_station_id" property="deptStationId"/>
    <result column="xingbie" property="xingbie"/>
    <result column="xingbie_text" property="xingbieText"/>
    <result column="pillar_code" property="pillarCode"/>
    <result column="marker" property="marker"/>
    <result column="station_track" property="stationTrack"/>
    <result column="gxms" property="gxms"/>
    <result column="dydj" property="dydj"/>
    <result column="remark" property="remark"/>
    <result column="sccj" property="sccj"/>
    <result column="tyrq" property="tyrq"/>
    <result column="blqlx" property="blqlx"/>
    <result column="blqxh" property="blqxh"/>
    <result column="yzbh" property="yzbh"/>
    <result column="mdh" property="mdh"/>
    <result column="tlqtyrq" property="tlqtyrq"/>
    <result column="tlqzt" property="tlqzt"/>
    <result column="sbxjzt" property="sbxjzt"/>
    <result column="yfxsyrq" property="yfxsyrq"/>
    <result column="yxjjdtzxjl_t1" property="yxjjdtzxjlT1"/>
    <result column="yxjjdtzxjl_t2" property="yxjjdtzxjlT2"/>
    <result column="yxjjdtzxjl_f1" property="yxjjdtzxjlF1"/>
    <result column="yxjjdtzxjl_f2" property="yxjjdtzxjlF2"/>
    <result column="yxcd" property="yxcd"/>
    <result column="jyzjgtzt" property="jyzjgtzt"/>
    <result column="aqzzzt" property="aqzzzt"/>
    <result column="xldl1" property="xldl1"/>
    <result column="xldl2" property="xldl2"/>
    <result column="jsqcs_tx" property="jsqcsTx"/>
    <result column="jsqcs_fx" property="jsqcsFx"/>
    <result column="jdjjhhjx" property="jdjjhhjx"/>
    <result column="blqtj_ljls" property="blqtjLjls"/>
    <result column="blqtj_lm" property="blqtjLm"/>
    <result column="txblq_blqbt" property="txblqBlqbt"/>
    <result column="txblq_blqdbfllm" property="txblqBlqdbfllm"/>
    <result column="txblq_ljjsqjyrdtbt" property="txblqLjjsqjyrdtbt"/>
    <result column="txblq_blqjsqbt" property="txblqBlqjsqbt"/>
    <result column="txblq_tlqbt" property="txblqTlqbt"/>
    <result column="txblq_zzjyzbt" property="txblqZzjyzbt"/>
    <result column="txblq_falslm" property="txblqFalslm"/>
    <result column="txblq_gblslm" property="txblqGblslm"/>
    <result column="txblq_blqyx" property="txblqBlqyx"/>
    <result column="txblq_yxyjcwljxj" property="txblqYxyjcwljxj"/>
    <result column="fxblq_blqbt" property="fxblqBlqbt"/>
    <result column="fxblq_blqdbfllm" property="fxblqBlqdbfllm"/>
    <result column="fxblq_ljjsqjyrdtbt" property="fxblqLjjsqjyrdtbt"/>
    <result column="fxblq_blqjsqbt" property="fxblqBlqjsqbt"/>
    <result column="fxblq_tlqbt" property="fxblqTlqbt"/>
    <result column="fxblq_zzjyzbt" property="fxblqZzjyzbt"/>
    <result column="fxblq_falslm" property="fxblqFalslm"/>
    <result column="fxblq_gbls" property="fxblqGbls"/>
    <result column="fxblq_gblm" property="fxblqGblm"/>
    <result column="fxblq_blqyx" property="fxblqBlqyx"/>
    <result column="fxblq_yxyjcwljxj" property="fxblqYxyjcwljxj"/>
    <result column="fxblq_yxbx" property="fxblqYxbx"/>
    <result column="jsqyzhljdljbj_llxdz" property="jsqyzhljdljbjLlxdz"/>
    <result column="jsqyzhljdljbj_dljxbt" property="jsqyzhljdljbjDljxbt"/>
    <result column="jsqybhxljbj_tjxdzjlhlslm" property="jsqybhxljbjTjxdzjlhlslm"/>
    <result column="jsqybhxljbj_dytxdlbt" property="jsqybhxljbjDytxdlbt"/>
    <result column="blxjdyxx" property="blxjdyxx"/>
    <result column="jddzz" property="jddzz"/>
    <result column="qt" property="qt"/>
    <result column="fj" property="fj"/>
    <result column="sl" property="sl"/>
    <result column="dw" property="dw"/>
    <result column="sjbh" property="sjbh"/>
    <result column="del_flag" property="delFlag"/>
    <result column="create_by" property="createBy"/>
    <result column="create_time" property="createTime"/>
    <result column="update_by" property="updateBy"/>
    <result column="update_time" property="updateTime"/>
  </resultMap>

  <sql id="Base_Column_List">
    t.id,
    v.dept_id,
    v.dept_name,
    v.line_id,
    v.line_name,
    v.station_name as station_name,
    v.station_id,
    t.dept_station_id,
    t.xingbie,
    t.pillar_code,
    t.marker,
    t.station_track,
    t.gxms,
    t.dydj,
    t.remark,
    t.sccj,
    t.tyrq,
    t.blqlx,
    t.blqxh,
    t.yzbh,
    t.mdh,
    t.tlqtyrq,
    t.tlqzt,
    t.sbxjzt,
    t.yfxsyrq,
    t.yxjjdtzxjl_t1,
    t.yxjjdtzxjl_t2,
    t.yxjjdtzxjl_f1,
    t.yxjjdtzxjl_f2,
    t.yxcd,
    t.jyzjgtzt,
    t.aqzzzt,
    t.xldl1,
    t.xldl2,
    t.jsqcs_tx,
    t.jsqcs_fx,
    t.jdjjhhjx,
    t.blqtj_ljls,
    t.blqtj_lm,
    t.txblq_blqbt,
    t.txblq_blqdbfllm,
    t.txblq_ljjsqjyrdtbt,
    t.txblq_blqjsqbt,
    t.txblq_tlqbt,
    t.txblq_zzjyzbt,
    t.txblq_falslm,
    t.txblq_gblslm,
    t.txblq_blqyx,
    t.txblq_yxyjcwljxj,
    t.fxblq_blqbt,
    t.fxblq_blqdbfllm,
    t.fxblq_ljjsqjyrdtbt,
    t.fxblq_blqjsqbt,
    t.fxblq_tlqbt,
    t.fxblq_zzjyzbt,
    t.fxblq_falslm,
    t.fxblq_gbls,
    t.fxblq_gblm,
    t.fxblq_blqyx,
    t.fxblq_yxyjcwljxj,
    t.fxblq_yxbx,
    t.jsqyzhljdljbj_llxdz,
    t.jsqyzhljdljbj_dljxbt,
    t.jsqybhxljbj_tjxdzjlhlslm,
    t.jsqybhxljbj_dytxdlbt,
    t.blxjdyxx,
    t.jddzz,
    t.qt,
    t.fj,
    t.sl,
    t.dw,
    t.sjbh,
    t.del_flag,
    t.create_by,
    t.create_time,
    t.update_by,
    t.update_time
  </sql>

  <insert id="insert" parameterType="com.railway.business.baseinfo.domain.BusBlq">
    <selectKey keyProperty="id" order="AFTER" resultType="Long">
      select @@IDENTITY as id
    </selectKey>
    INSERT INTO base_blq
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test='null != deptStationId'>
        dept_station_id,
      </if>
      <if test='null != xingbie'>
        xingbie,
      </if>
      <if test='null != pillarCode'>
        pillar_code,
      </if>
      <if test='null != marker'>
        marker,
      </if>
      <if test='null != stationTrack'>
        station_track,
      </if>
      <if test='null != gxms'>
        gxms,
      </if>
      <if test='null != dydj'>
        dydj,
      </if>
      <if test='null != remark'>
        remark,
      </if>
      <if test='null != sccj'>
        sccj,
      </if>
      <if test='null != tyrq'>
        tyrq,
      </if>
      <if test='null != blqlx'>
        blqlx,
      </if>
      <if test='null != blqxh'>
        blqxh,
      </if>
      <if test='null != yzbh'>
        yzbh,
      </if>
      <if test='null != mdh'>
        mdh,
      </if>
      <if test='null != tlqtyrq'>
        tlqtyrq,
      </if>
      <if test='null != tlqzt'>
        tlqzt,
      </if>
      <if test='null != sbxjzt'>
        sbxjzt,
      </if>
      <if test='null != yfxsyrq'>
        yfxsyrq,
      </if>
      <if test='null != yxjjdtzxjlT1'>
        yxjjdtzxjl_t1,
      </if>
      <if test='null != yxjjdtzxjlT2'>
        yxjjdtzxjl_t2,
      </if>
      <if test='null != yxjjdtzxjlF1'>
        yxjjdtzxjl_f1,
      </if>
      <if test='null != yxjjdtzxjlF2'>
        yxjjdtzxjl_f2,
      </if>
      <if test='null != yxcd'>
        yxcd,
      </if>
      <if test='null != jyzjgtzt'>
        jyzjgtzt,
      </if>
      <if test='null != aqzzzt'>
        aqzzzt,
      </if>
      <if test='null != xldl1'>
        xldl1,
      </if>
      <if test='null != xldl2'>
        xldl2,
      </if>
      <if test='null != jsqcsTx'>
        jsqcs_tx,
      </if>
      <if test='null != jsqcsFx'>
        jsqcs_fx,
      </if>
      <if test='null != jdjjhhjx'>
        jdjjhhjx,
      </if>
      <if test='null != blqtjLjls'>
        blqtj_ljls,
      </if>
      <if test='null != blqtjLm'>
        blqtj_lm,
      </if>
      <if test='null != txblqBlqbt'>
        txblq_blqbt,
      </if>
      <if test='null != txblqBlqdbfllm'>
        txblq_blqdbfllm,
      </if>
      <if test='null != txblqLjjsqjyrdtbt'>
        txblq_ljjsqjyrdtbt,
      </if>
      <if test='null != txblqBlqjsqbt'>
        txblq_blqjsqbt,
      </if>
      <if test='null != txblqTlqbt'>
        txblq_tlqbt,
      </if>
      <if test='null != txblqZzjyzbt'>
        txblq_zzjyzbt,
      </if>
      <if test='null != txblqFalslm'>
        txblq_falslm,
      </if>
      <if test='null != txblqGblslm'>
        txblq_gblslm,
      </if>
      <if test='null != txblqBlqyx'>
        txblq_blqyx,
      </if>
      <if test='null != txblqYxyjcwljxj'>
        txblq_yxyjcwljxj,
      </if>
      <if test='null != fxblqBlqbt'>
        fxblq_blqbt,
      </if>
      <if test='null != fxblqBlqdbfllm'>
        fxblq_blqdbfllm,
      </if>
      <if test='null != fxblqLjjsqjyrdtbt'>
        fxblq_ljjsqjyrdtbt,
      </if>
      <if test='null != fxblqBlqjsqbt'>
        fxblq_blqjsqbt,
      </if>
      <if test='null != fxblqTlqbt'>
        fxblq_tlqbt,
      </if>
      <if test='null != fxblqZzjyzbt'>
        fxblq_zzjyzbt,
      </if>
      <if test='null != fxblqFalslm'>
        fxblq_falslm,
      </if>
      <if test='null != fxblqGbls'>
        fxblq_gbls,
      </if>
      <if test='null != fxblqGblm'>
        fxblq_gblm,
      </if>
      <if test='null != fxblqBlqyx'>
        fxblq_blqyx,
      </if>
      <if test='null != fxblqYxyjcwljxj'>
        fxblq_yxyjcwljxj,
      </if>
      <if test='null != fxblqYxbx'>
        fxblq_yxbx,
      </if>
      <if test='null != jsqyzhljdljbjLlxdz'>
        jsqyzhljdljbj_llxdz,
      </if>
      <if test='null != jsqyzhljdljbjDljxbt'>
        jsqyzhljdljbj_dljxbt,
      </if>
      <if test='null != jsqybhxljbjTjxdzjlhlslm'>
        jsqybhxljbj_tjxdzjlhlslm,
      </if>
      <if test='null != jsqybhxljbjDytxdlbt'>
        jsqybhxljbj_dytxdlbt,
      </if>
      <if test='null != blxjdyxx'>
        blxjdyxx,
      </if>
      <if test='null != jddzz'>
        jddzz,
      </if>
      <if test='null != qt'>
        qt,
      </if>
      <if test='null != fj'>
        fj,
      </if>
      <if test='null != sl'>
        sl,
      </if>
      <if test='null != dw'>
        dw,
      </if>
      <if test='null != sjbh'>
        sjbh,
      </if>
      <if test='null != delFlag'>
        del_flag,
      </if>
      <if test='null != createBy'>
        create_by,
      </if>
      <if test='null != createTime'>
        create_time,
      </if>
      <if test='null != updateBy'>
        update_by,
      </if>
      <if test='null != updateTime'>
        update_time
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test='null != deptStationId'>
        #{deptStationId},
      </if>
      <if test='null != xingbie'>
        #{xingbie},
      </if>
      <if test='null != pillarCode'>
        #{pillarCode},
      </if>
      <if test='null != marker'>
        #{marker},
      </if>
      <if test='null != stationTrack'>
        #{stationTrack},
      </if>
      <if test='null != gxms'>
        #{gxms},
      </if>
      <if test='null != dydj'>
        #{dydj},
      </if>
      <if test='null != remark'>
        #{remark},
      </if>
      <if test='null != sccj'>
        #{sccj},
      </if>
      <if test='null != tyrq'>
        #{tyrq},
      </if>
      <if test='null != blqlx'>
        #{blqlx},
      </if>
      <if test='null != blqxh'>
        #{blqxh},
      </if>
      <if test='null != yzbh'>
        #{yzbh},
      </if>
      <if test='null != mdh'>
        #{mdh},
      </if>
      <if test='null != tlqtyrq'>
        #{tlqtyrq},
      </if>
      <if test='null != tlqzt'>
        #{tlqzt},
      </if>
      <if test='null != sbxjzt'>
        #{sbxjzt},
      </if>
      <if test='null != yfxsyrq'>
        #{yfxsyrq},
      </if>
      <if test='null != yxjjdtzxjlT1'>
        #{yxjjdtzxjlT1},
      </if>
      <if test='null != yxjjdtzxjlT2'>
        #{yxjjdtzxjlT2},
      </if>
      <if test='null != yxjjdtzxjlF1'>
        #{yxjjdtzxjlF1},
      </if>
      <if test='null != yxjjdtzxjlF2'>
        #{yxjjdtzxjlF2},
      </if>
      <if test='null != yxcd'>
        #{yxcd},
      </if>
      <if test='null != jyzjgtzt'>
        #{jyzjgtzt},
      </if>
      <if test='null != aqzzzt'>
        #{aqzzzt},
      </if>
      <if test='null != xldl1'>
        #{xldl1},
      </if>
      <if test='null != xldl2'>
        #{xldl2},
      </if>
      <if test='null != jsqcsTx'>
        #{jsqcsTx},
      </if>
      <if test='null != jsqcsFx'>
        #{jsqcsFx},
      </if>
      <if test='null != jdjjhhjx'>
        #{jdjjhhjx},
      </if>
      <if test='null != blqtjLjls'>
        #{blqtjLjls},
      </if>
      <if test='null != blqtjLm'>
        #{blqtjLm},
      </if>
      <if test='null != txblqBlqbt'>
        #{txblqBlqbt},
      </if>
      <if test='null != txblqBlqdbfllm'>
        #{txblqBlqdbfllm},
      </if>
      <if test='null != txblqLjjsqjyrdtbt'>
        #{txblqLjjsqjyrdtbt},
      </if>
      <if test='null != txblqBlqjsqbt'>
        #{txblqBlqjsqbt},
      </if>
      <if test='null != txblqTlqbt'>
        #{txblqTlqbt},
      </if>
      <if test='null != txblqZzjyzbt'>
        #{txblqZzjyzbt},
      </if>
      <if test='null != txblqFalslm'>
        #{txblqFalslm},
      </if>
      <if test='null != txblqGblslm'>
        #{txblqGblslm},
      </if>
      <if test='null != txblqBlqyx'>
        #{txblqBlqyx},
      </if>
      <if test='null != txblqYxyjcwljxj'>
        #{txblqYxyjcwljxj},
      </if>
      <if test='null != fxblqBlqbt'>
        #{fxblqBlqbt},
      </if>
      <if test='null != fxblqBlqdbfllm'>
        #{fxblqBlqdbfllm},
      </if>
      <if test='null != fxblqLjjsqjyrdtbt'>
        #{fxblqLjjsqjyrdtbt},
      </if>
      <if test='null != fxblqBlqjsqbt'>
        #{fxblqBlqjsqbt},
      </if>
      <if test='null != fxblqTlqbt'>
        #{fxblqTlqbt},
      </if>
      <if test='null != fxblqZzjyzbt'>
        #{fxblqZzjyzbt},
      </if>
      <if test='null != fxblqFalslm'>
        #{fxblqFalslm},
      </if>
      <if test='null != fxblqGbls'>
        #{fxblqGbls},
      </if>
      <if test='null != fxblqGblm'>
        #{fxblqGblm},
      </if>
      <if test='null != fxblqBlqyx'>
        #{fxblqBlqyx},
      </if>
      <if test='null != fxblqYxyjcwljxj'>
        #{fxblqYxyjcwljxj},
      </if>
      <if test='null != fxblqYxbx'>
        #{fxblqYxbx},
      </if>
      <if test='null != jsqyzhljdljbjLlxdz'>
        #{jsqyzhljdljbjLlxdz},
      </if>
      <if test='null != jsqyzhljdljbjDljxbt'>
        #{jsqyzhljdljbjDljxbt},
      </if>
      <if test='null != jsqybhxljbjTjxdzjlhlslm'>
        #{jsqybhxljbjTjxdzjlhlslm},
      </if>
      <if test='null != jsqybhxljbjDytxdlbt'>
        #{jsqybhxljbjDytxdlbt},
      </if>
      <if test='null != blxjdyxx'>
        #{blxjdyxx},
      </if>
      <if test='null != jddzz'>
        #{jddzz},
      </if>
      <if test='null != qt'>
        #{qt},
      </if>
      <if test='null != fj'>
        #{fj},
      </if>
      <if test='null != sl'>
        #{sl},
      </if>
      <if test='null != dw'>
        #{dw},
      </if>
      <if test='null != sjbh'>
        #{sjbh},
      </if>
      <if test='null != delFlag'>
        #{delFlag},
      </if>
      <if test='null != createBy'>
        #{createBy},
      </if>
      <if test='null != createTime'>
        #{createTime},
      </if>
      <if test='null != updateBy'>
        #{updateBy},
      </if>
      <if test='null != updateTime'>
        #{updateTime}
      </if>
    </trim>
  </insert>

  <delete id="delete">
    UPDATE base_blq
    set del_flag='1'
    WHERE id = #{id}
  </delete>

  <update id="update" parameterType="com.railway.business.baseinfo.domain.BusBlq">
    UPDATE base_blq
    <set>
      <if test='null != deptStationId'>dept_station_id = #{deptStationId},</if>
      <if test='null != xingbie'>xingbie = #{xingbie},</if>
      <if test='null != pillarCode'>pillar_code = #{pillarCode},</if>
      <if test='null != marker'>marker = #{marker},</if>
      <if test='null != stationTrack'>station_track = #{stationTrack},</if>
      <if test='null != gxms'>gxms = #{gxms},</if>
      <if test='null != dydj'>dydj = #{dydj},</if>
      <if test='null != remark'>remark = #{remark},</if>
      <if test='null != sccj'>sccj = #{sccj},</if>
      <if test='null != tyrq'>tyrq = #{tyrq},</if>
      <if test='null != blqlx'>blqlx = #{blqlx},</if>
      <if test='null != blqxh'>blqxh = #{blqxh},</if>
      <if test='null != yzbh'>yzbh = #{yzbh},</if>
      <if test='null != mdh'>mdh = #{mdh},</if>
      <if test='null != tlqtyrq'>tlqtyrq = #{tlqtyrq},</if>
      <if test='null != tlqzt'>tlqzt = #{tlqzt},</if>
      <if test='null != sbxjzt'>sbxjzt = #{sbxjzt},</if>
      <if test='null != yfxsyrq'>yfxsyrq = #{yfxsyrq},</if>
      <if test='null != yxjjdtzxjlT1'>yxjjdtzxjl_t1 = #{yxjjdtzxjlT1},</if>
      <if test='null != yxjjdtzxjlT2'>yxjjdtzxjl_t2 = #{yxjjdtzxjlT2},</if>
      <if test='null != yxjjdtzxjlF1'>yxjjdtzxjl_f1 = #{yxjjdtzxjlF1},</if>
      <if test='null != yxjjdtzxjlF2'>yxjjdtzxjl_f2 = #{yxjjdtzxjlF2},</if>
      <if test='null != yxcd'>yxcd = #{yxcd},</if>
      <if test='null != jyzjgtzt'>jyzjgtzt = #{jyzjgtzt},</if>
      <if test='null != aqzzzt'>aqzzzt = #{aqzzzt},</if>
      <if test='null != xldl1'>xldl1 = #{xldl1},</if>
      <if test='null != xldl2'>xldl2 = #{xldl2},</if>
      <if test='null != jsqcsTx'>jsqcs_tx = #{jsqcsTx},</if>
      <if test='null != jsqcsFx'>jsqcs_fx = #{jsqcsFx},</if>
      <if test='null != jdjjhhjx'>jdjjhhjx = #{jdjjhhjx},</if>
      <if test='null != blqtjLjls'>blqtj_ljls = #{blqtjLjls},</if>
      <if test='null != blqtjLm'>blqtj_lm = #{blqtjLm},</if>
      <if test='null != txblqBlqbt'>txblq_blqbt = #{txblqBlqbt},</if>
      <if test='null != txblqBlqdbfllm'>txblq_blqdbfllm = #{txblqBlqdbfllm},</if>
      <if test='null != txblqLjjsqjyrdtbt'>txblq_ljjsqjyrdtbt = #{txblqLjjsqjyrdtbt},</if>
      <if test='null != txblqBlqjsqbt'>txblq_blqjsqbt = #{txblqBlqjsqbt},</if>
      <if test='null != txblqTlqbt'>txblq_tlqbt = #{txblqTlqbt},</if>
      <if test='null != txblqZzjyzbt'>txblq_zzjyzbt = #{txblqZzjyzbt},</if>
      <if test='null != txblqFalslm'>txblq_falslm = #{txblqFalslm},</if>
      <if test='null != txblqGblslm'>txblq_gblslm = #{txblqGblslm},</if>
      <if test='null != txblqBlqyx'>txblq_blqyx = #{txblqBlqyx},</if>
      <if test='null != txblqYxyjcwljxj'>txblq_yxyjcwljxj = #{txblqYxyjcwljxj},</if>
      <if test='null != fxblqBlqbt'>fxblq_blqbt = #{fxblqBlqbt},</if>
      <if test='null != fxblqBlqdbfllm'>fxblq_blqdbfllm = #{fxblqBlqdbfllm},</if>
      <if test='null != fxblqLjjsqjyrdtbt'>fxblq_ljjsqjyrdtbt = #{fxblqLjjsqjyrdtbt},</if>
      <if test='null != fxblqBlqjsqbt'>fxblq_blqjsqbt = #{fxblqBlqjsqbt},</if>
      <if test='null != fxblqTlqbt'>fxblq_tlqbt = #{fxblqTlqbt},</if>
      <if test='null != fxblqZzjyzbt'>fxblq_zzjyzbt = #{fxblqZzjyzbt},</if>
      <if test='null != fxblqFalslm'>fxblq_falslm = #{fxblqFalslm},</if>
      <if test='null != fxblqGbls'>fxblq_gbls = #{fxblqGbls},</if>
      <if test='null != fxblqGblm'>fxblq_gblm = #{fxblqGblm},</if>
      <if test='null != fxblqBlqyx'>fxblq_blqyx = #{fxblqBlqyx},</if>
      <if test='null != fxblqYxyjcwljxj'>fxblq_yxyjcwljxj = #{fxblqYxyjcwljxj},</if>
      <if test='null != fxblqYxbx'>fxblq_yxbx = #{fxblqYxbx},</if>
      <if test='null != jsqyzhljdljbjLlxdz'>jsqyzhljdljbj_llxdz = #{jsqyzhljdljbjLlxdz},</if>
      <if test='null != jsqyzhljdljbjDljxbt'>jsqyzhljdljbj_dljxbt = #{jsqyzhljdljbjDljxbt},</if>
      <if test='null != jsqybhxljbjTjxdzjlhlslm'>jsqybhxljbj_tjxdzjlhlslm =
        #{jsqybhxljbjTjxdzjlhlslm},
      </if>
      <if test='null != jsqybhxljbjDytxdlbt'>jsqybhxljbj_dytxdlbt = #{jsqybhxljbjDytxdlbt},</if>
      <if test='null != blxjdyxx'>blxjdyxx = #{blxjdyxx},</if>
      <if test='null != jddzz'>jddzz = #{jddzz},</if>
      <if test='null != qt'>qt = #{qt},</if>
      <if test='null != fj'>fj = #{fj},</if>
      <if test='null != sl'>sl = #{sl},</if>
      <if test='null != dw'>dw = #{dw},</if>
      <if test='null != sjbh'>sjbh = #{sjbh},</if>
      <if test='null != delFlag'>del_flag = #{delFlag},</if>
      <if test='null != updateBy'>update_by = #{updateBy},</if>
      <if test='null != updateTime'>update_time = #{updateTime},</if>
    </set>
    WHERE id = #{id}
  </update>


  <select id="getInfo" resultMap="BaseResultMap">
    SELECT
    <include refid="Base_Column_List"/>, dict.dict_label as xingbie_text
    FROM base_blq t
    LEFT JOIN v_station v on t.dept_station_id = v.dept_station_id
    LEFT JOIN sys_dict_data dict ON (t.xingbie = dict.dict_value AND dict.dict_type = 'xingbie')
    WHERE t.del_flag='0' and t.id = #{id}
  </select>

  <select id="getList" resultMap="BaseResultMap">
    SELECT
    <include refid="Base_Column_List"/>, dict.dict_label as xingbie_text
    FROM base_blq t
    LEFT JOIN v_station v on t.dept_station_id = v.dept_station_id
    LEFT JOIN sys_dict_data dict ON (t.xingbie = dict.dict_value AND dict.dict_type = 'xingbie')
    <where>
      t.del_flag='0'
      <if test="deptId!=null and deptId!=''">
        and v.dept_id=#{deptId}
      </if>
      <if test="lineId!=null and lineId!=''">
        and v.line_id=#{lineId}
      </if>
      <if test="stationId!=null and stationId!=''">
        and v.station_id=#{stationId}
      </if>
      <if test="xingbie!=null and xingbie!=''">
        and t.xingbie=#{xingbie}
      </if>
      <if test="pillarCode!=null and pillarCode!=''">
        and t.pillar_code=#{pillarCode}
      </if>
      <if test="marker!=null and marker!=''">
        and t.marker=#{marker}
      </if>
      <if test="stationTrack!=null and stationTrack!=''">
        and t.station_track=#{stationTrack}
      </if>
      <if test="gxms!=null and gxms!=''">
        and t.gxms=#{gxms}
      </if>
      <if test="dydj!=null and dydj!=''">
        and t.dydj=#{dydj}
      </if>
      <if test="sccj!=null and sccj!=''">
        and t.sccj=#{sccj}
      </if>
      <if test="tyrq!=null and tyrq!=''">
        and t.tyrq=#{tyrq}
      </if>
      <if test="blqlx!=null and blqlx!=''">
        and t.blqlx=#{blqlx}
      </if>
      <if test="blqxh!=null and blqxh!=''">
        and t.blqxh=#{blqxh}
      </if>
      <if test="yzbh!=null and yzbh!=''">
        and t.yzbh=#{yzbh}
      </if>
      <if test="mdh!=null and mdh!=''">
        and t.mdh=#{mdh}
      </if>
      <if test="tlqtyrq!=null and tlqtyrq!=''">
        and t.tlqtyrq=#{tlqtyrq}
      </if>
      <if test="tlqzt!=null and tlqzt!=''">
        and t.tlqzt=#{tlqzt}
      </if>
      <if test="sbxjzt!=null and sbxjzt!=''">
        and t.sbxjzt=#{sbxjzt}
      </if>
      <if test="yfxsyrq!=null and yfxsyrq!=''">
        and t.yfxsyrq=#{yfxsyrq}
      </if>
      <if test="yxjjdtzxjlT1!=null and yxjjdtzxjlT1!=''">
        and t.yxjjdtzxjl_t1=#{yxjjdtzxjlT1}
      </if>
      <if test="yxjjdtzxjlT2!=null and yxjjdtzxjlT2!=''">
        and t.yxjjdtzxjl_t2=#{yxjjdtzxjlT2}
      </if>
      <if test="yxjjdtzxjlF1!=null and yxjjdtzxjlF1!=''">
        and t.yxjjdtzxjl_f1=#{yxjjdtzxjlF1}
      </if>
      <if test="yxjjdtzxjlF2!=null and yxjjdtzxjlF2!=''">
        and t.yxjjdtzxjl_f2=#{yxjjdtzxjlF2}
      </if>
      <if test="yxcd!=null and yxcd!=''">
        and t.yxcd=#{yxcd}
      </if>
      <if test="jyzjgtzt!=null and jyzjgtzt!=''">
        and t.jyzjgtzt=#{jyzjgtzt}
      </if>
      <if test="aqzzzt!=null and aqzzzt!=''">
        and t.aqzzzt=#{aqzzzt}
      </if>
      <if test="xldl1!=null and xldl1!=''">
        and t.xldl1=#{xldl1}
      </if>
      <if test="xldl2!=null and xldl2!=''">
        and t.xldl2=#{xldl2}
      </if>
      <if test="jsqcsTx!=null and jsqcsTx!=''">
        and t.jsqcs_tx=#{jsqcsTx}
      </if>
      <if test="jsqcsFx!=null and jsqcsFx!=''">
        and t.jsqcs_fx=#{jsqcsFx}
      </if>
      <if test="jdjjhhjx!=null and jdjjhhjx!=''">
        and t.jdjjhhjx=#{jdjjhhjx}
      </if>
      <if test="blqtjLjls!=null and blqtjLjls!=''">
        and t.blqtj_ljls=#{blqtjLjls}
      </if>
      <if test="blqtjLm!=null and blqtjLm!=''">
        and t.blqtj_lm=#{blqtjLm}
      </if>
      <if test="txblqBlqbt!=null and txblqBlqbt!=''">
        and t.txblq_blqbt=#{txblqBlqbt}
      </if>
      <if test="txblqBlqdbfllm!=null and txblqBlqdbfllm!=''">
        and t.txblq_blqdbfllm=#{txblqBlqdbfllm}
      </if>
      <if test="txblqLjjsqjyrdtbt!=null and txblqLjjsqjyrdtbt!=''">
        and t.txblq_ljjsqjyrdtbt=#{txblqLjjsqjyrdtbt}
      </if>
      <if test="txblqBlqjsqbt!=null and txblqBlqjsqbt!=''">
        and t.txblq_blqjsqbt=#{txblqBlqjsqbt}
      </if>
      <if test="txblqTlqbt!=null and txblqTlqbt!=''">
        and t.txblq_tlqbt=#{txblqTlqbt}
      </if>
      <if test="txblqZzjyzbt!=null and txblqZzjyzbt!=''">
        and t.txblq_zzjyzbt=#{txblqZzjyzbt}
      </if>
      <if test="txblqFalslm!=null and txblqFalslm!=''">
        and t.txblq_falslm=#{txblqFalslm}
      </if>
      <if test="txblqGblslm!=null and txblqGblslm!=''">
        and t.txblq_gblslm=#{txblqGblslm}
      </if>
      <if test="txblqBlqyx!=null and txblqBlqyx!=''">
        and t.txblq_blqyx=#{txblqBlqyx}
      </if>
      <if test="txblqYxyjcwljxj!=null and txblqYxyjcwljxj!=''">
        and t.txblq_yxyjcwljxj=#{txblqYxyjcwljxj}
      </if>
      <if test="fxblqBlqbt!=null and fxblqBlqbt!=''">
        and t.fxblq_blqbt=#{fxblqBlqbt}
      </if>
      <if test="fxblqBlqdbfllm!=null and fxblqBlqdbfllm!=''">
        and t.fxblq_blqdbfllm=#{fxblqBlqdbfllm}
      </if>
      <if test="fxblqLjjsqjyrdtbt!=null and fxblqLjjsqjyrdtbt!=''">
        and t.fxblq_ljjsqjyrdtbt=#{fxblqLjjsqjyrdtbt}
      </if>
      <if test="fxblqBlqjsqbt!=null and fxblqBlqjsqbt!=''">
        and t.fxblq_blqjsqbt=#{fxblqBlqjsqbt}
      </if>
      <if test="fxblqTlqbt!=null and fxblqTlqbt!=''">
        and t.fxblq_tlqbt=#{fxblqTlqbt}
      </if>
      <if test="fxblqZzjyzbt!=null and fxblqZzjyzbt!=''">
        and t.fxblq_zzjyzbt=#{fxblqZzjyzbt}
      </if>
      <if test="fxblqFalslm!=null and fxblqFalslm!=''">
        and t.fxblq_falslm=#{fxblqFalslm}
      </if>
      <if test="fxblqGbls!=null and fxblqGbls!=''">
        and t.fxblq_gbls=#{fxblqGbls}
      </if>
      <if test="fxblqGblm!=null and fxblqGblm!=''">
        and t.fxblq_gblm=#{fxblqGblm}
      </if>
      <if test="fxblqBlqyx!=null and fxblqBlqyx!=''">
        and t.fxblq_blqyx=#{fxblqBlqyx}
      </if>
      <if test="fxblqYxyjcwljxj!=null and fxblqYxyjcwljxj!=''">
        and t.fxblq_yxyjcwljxj=#{fxblqYxyjcwljxj}
      </if>
      <if test="fxblqYxbx!=null and fxblqYxbx!=''">
        and t.fxblq_yxbx=#{fxblqYxbx}
      </if>
      <if test="jsqyzhljdljbjLlxdz!=null and jsqyzhljdljbjLlxdz!=''">
        and t.jsqyzhljdljbj_llxdz=#{jsqyzhljdljbjLlxdz}
      </if>
      <if test="jsqyzhljdljbjDljxbt!=null and jsqyzhljdljbjDljxbt!=''">
        and t.jsqyzhljdljbj_dljxbt=#{jsqyzhljdljbjDljxbt}
      </if>
      <if test="jsqybhxljbjTjxdzjlhlslm!=null and jsqybhxljbjTjxdzjlhlslm!=''">
        and t.jsqybhxljbj_tjxdzjlhlslm=#{jsqybhxljbjTjxdzjlhlslm}
      </if>
      <if test="jsqybhxljbjDytxdlbt!=null and jsqybhxljbjDytxdlbt!=''">
        and t.jsqybhxljbj_dytxdlbt=#{jsqybhxljbjDytxdlbt}
      </if>
      <if test="blxjdyxx!=null and blxjdyxx!=''">
        and t.blxjdyxx=#{blxjdyxx}
      </if>
      <if test="jddzz!=null and jddzz!=''">
        and t.jddzz=#{jddzz}
      </if>
      <if test="qt!=null and qt!=''">
        and t.qt=#{qt}
      </if>
      <if test="fj!=null and fj!=''">
        and t.fj=#{fj}
      </if>
      <if test="sl!=null and sl!=''">
        and t.sl=#{sl}
      </if>
      <if test="dw!=null and dw!=''">
        and t.dw=#{dw}
      </if>
      <if test="sjbh!=null and sjbh!=''">
        and t.sjbh=#{sjbh}
      </if>
      <if test="delFlag!=null and delFlag!=''">
        and t.del_flag=#{delFlag}
      </if>
      <if test="createBy!=null and createBy!=''">
        and t.create_by=#{createBy}
      </if>
      <if test="createTime!=null">
        and DATE_FORMAT(t.create_time, '%Y-%m-%d') = #{createTime}
      </if>
      <if test="updateBy!=null and updateBy!=''">
        and t.update_by=#{updateBy}
      </if>
      <if test="updateTime!=null">
        and DATE_FORMAT(t.update_time, '%Y-%m-%d') = #{updateTime}
      </if>
    </where>
  </select>

</mapper>